BuildArch: noarch
%global projname RedHatFont

Version:        4.0.3
Release:        2%{?dist}
# Only the metainfo files are CC-BY-SA
License:        OFL and CC-BY-SA
URL:            https://github.com/RedHatOfficial/%{projname}

%global         fontlicenses    LICENSE metainfo/LICENSE-METAINFO
%global         fontdocs        README.md CHANGELOG.md *.png
%global         fontdocsex      %{fontlicenses}

%global common_description %{expand:
Red Hat Typeface is a fresh take on the geometric sans genre, \
taking inspiration from a range of American sans serifs \
including Tempo and Highway Gothic. \
 \
The Display styles, made for headlines and big statements, \
are low contrast and spaced tightly, with a large x-height and open counters. \
 \
The Text styles have a slightly smaller x-height and narrower width \
for better legibility, are spaced more generously, and have thinned joins \
for better performance at small sizes. \
 \
The Mono styles are similar to the Text styles, but are adapted \
for better performance to render code and similar text. \
 \
The three families can be used together seamlessly at a range of sizes. \
 \
The fonts were originally commissioned by Paula Scher / Pentagram \
and designed by Jeremy Mickel / MCKL for the new Red Hat identity.}

%global fontfamily1       RedHat Display
%global fontsummary1      Red Hat Display fonts
%global fontpkgheader0    %{expand:
Obsoletes: redhat-display-fonts < %{version}-%{release}
}
%global fonts1            fonts/proportional/static/ttf/RedHatDisplay-*.ttf ./fonts/proportional/RedHatDisplayVF*.ttf 
%global fontconfs1        %{SOURCE1}
%global fontappstreams1   metainfo/com.redhat.redhat-display.metainfo.xml
%global fontdescription1  %{expand:
%{common_description}

This package provides the Display fonts variant.}

%global fontfamily2       RedHat Text
%global fontsummary2      Red Hat Text fonts
%global fontpkgheader0    %{expand:
Obsoletes: redhat-text-fonts < %{version}-%{release}
}
%global fonts2            fonts/proportional/static/ttf/RedHatText-*.ttf ./fonts/proportional/RedHatTextVF*.ttf
%global fontconfs2        %{SOURCE2}
%global fontappstreams2   metainfo/com.redhat.redhat-text.metainfo.xml
%global fontdescription2  %{expand:
%{common_description}

This package provides the Text fonts variant.}

%global fontfamily3       RedHat Mono
%global fontsummary3      Red Hat Mono fonts
%global fontpkgheader0    %{expand:
Obsoletes: redhat-mono-fonts < %{version}-%{release}
}
%global fonts3            fonts/mono/static/ttf/RedHatMono-*.ttf ./fonts/mono/RedHatMonoVF*.ttf
%global fontconfs3        %{SOURCE3}
%global fontappstreams3   metainfo/com.redhat.redhat-mono.metainfo.xml
%global fontdescription3  %{expand:
%{common_description}

This package provides the Monospace fonts variant.}

Source0:        %{url}/archive/%{version}/%{projname}-%{version}.tar.gz
Source1:        64-%{fontpkgname1}.conf
Source2:        64-%{fontpkgname2}.conf
Source3:        64-%{fontpkgname3}.conf

Name:     redhat-fonts
Summary:  The Red Hat font families
%description
%wordwrap -v common_description

%fontpkg -a

# This generates redhat-fonts-all package
%fontmetapkg

%prep
%autosetup -n %{projname}-%{version} -p1

%build
%fontbuild -a

%install
%fontinstall -a

%check
%fontcheck -a

%fontfiles -a

%changelog
* Thu Aug 18 2022 Parag Nemade <pnemade AT redhat DOT com> - 4.0.3-2
- Convert to follow new fonts packaging guidelines

* Wed Aug 03 2022 Neal Gompa <ngompa@fedoraproject.org> - 4.0.3-1
- Update to 4.0.3 (RH#1955487)

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Apr 23 2021 Neal Gompa <ngompa13@gmail.com> - 4.0.1-1
- Rebase to 4.0.1 (RH#1917996)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jul 29 2019 Neal Gompa <ngompa13@gmail.com> - 2.3.2-1
- Update to 2.3.2
- Fix typos in the changelog

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 14 2019 Ben Cotton <bcotton@fedoraproject.org> - 2.2.0-2
- Add TrueType font files (RHBZ #1709922)

* Sun May  5 2019 Neal Gompa <ngompa13@gmail.com> - 2.2.0-1
- Initial packaging
